Subject: Re: [PATCH] Keyboard backlight driver for Oct 2005 PowerBooks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 28 Aug 2006 08:34:23 +1000

On Sun, 2006-08-27 at 14:30 +0200, Michael Hanselmann wrote:
> This driver provides an interface to the keyboard backlight on Oct 2005
> PowerBooks, which have the backlight behind the PMU. This driver doesn't
> support the I²C variant used in earlier PowerBooks.
> 
> Signed-off-by: Michael Hanselmann <[email-masked]>

Why would we need a driver ? Userland can emit PMU commands directly...
At least, if we do a driver, it should provide a common interface to
both PMU and i2c based LMUs

Ben.